<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.outcontrol.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'function.ob-list-handlers.php',
    1 => 'ob_list_handlers',
  ),
  'up' => 
  array (
    0 => 'ref.outcontrol.php',
    1 => 'Fonctions de bufferisation de sortie',
  ),
  'prev' => 
  array (
    0 => 'function.ob-implicit-flush.php',
    1 => 'ob_implicit_flush',
  ),
  'next' => 
  array (
    0 => 'function.ob-start.php',
    1 => 'ob_start',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/outcontrol/functions/ob-list-handlers.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="function.ob-list-handlers" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ob_list_handlers</h1>
  <p class="verinfo">(PHP 4 &gt;= 4.3.0, PHP 5, PHP 7, PHP 8)</p><p class="refpurpose"><span class="refname">ob_list_handlers</span> &mdash; <span class="dc-title">Liste les gestionnaires d&#039;affichage utilisés</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-function.ob-list-handlers-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="methodname"><strong>ob_list_handlers</strong></span>(): <span class="type"><a href="language.types.array.php" class="type array">array</a></span></div>

  <p class="para rdfs-comment">
   Liste les gestionnaires d&#039;affichage utilisés.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-function.ob-list-handlers-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <p class="para">Cette fonction ne contient aucun paramètre.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-function.ob-list-handlers-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="para">
   Retourne un tableau avec le gestionnaire d&#039;affichage en
   cours d&#039;utilisation (s&#039;il existe).
  </p>
  <p class="para">
   Si <a href="outcontrol.configuration.php#ini.output-buffering" class="link">output_buffering</a> est activé
   et qu&#039;aucun <a href="outcontrol.configuration.php#ini.output-handler" class="link">output_handler</a> n&#039;est défini,
   ou si aucune fonction de rappel ou <strong><code><a href="reserved.constants.php#constant.null">null</a></code></strong> n&#039;a été passé à <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>,
   <code class="literal">&quot;default output handler&quot;</code> est renvoyé.
   Activer <a href="outcontrol.configuration.php#ini.output-buffering" class="link">output_buffering</a>
   et définir un <a href="outcontrol.configuration.php#ini.output-handler" class="link">output_handler</a>
   équivaut à passer
   une <a href="functions.internal.php" class="link">fonction interne (intégrée)</a>
   à <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>.
  </p>
  <p class="para">
   Si un <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> a été passé à <span class="function"><a href="function.ob-start.php" class="function">ob_start()</a></span>,
   le <a href="language.namespaces.basics.php" class="link">nom complètement qualifié</a>
   du <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> est renvoyé.
   Si le <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> est un objet implémentant
   <a href="language.oop5.magic.php#language.oop5.magic.invoke" class="link">__invoke()</a>,
   le <a href="language.namespaces.basics.php" class="link">nom complètement qualifié</a>
   de la méthode <a href="language.oop5.magic.php#language.oop5.magic.invoke" class="link">__invoke()</a> de l&#039;objet est renvoyé.
   Si le <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> est une <span class="classname"><a href="class.closure.php" class="classname">Closure</a></span>,
   <code class="literal">&quot;Closure::__invoke&quot;</code> est renvoyé.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-function.ob-list-handlers-examples">
  <h3 class="title">Exemples</h3>
  <p class="para">
   <div class="example" id="example-588">
    <p><strong>Exemple #1 Exemple avec <span class="function"><strong>ob_list_handlers()</strong></span></strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #FF8000">// utilisation output_buffering=On, sans output_handler défini<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// aucun rappel ou null<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /><br /></span><span style="color: #FF8000">// Fonction anonyme<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$string</span><span style="color: #007700">; });<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// fonction fléchée<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(fn(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) =&gt; </span><span style="color: #0000BB">$string</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// callable de première classe<br /></span><span style="color: #0000BB">$firstClassCallable </span><span style="color: #007700">= </span><span style="color: #0000BB">userDefinedFunction</span><span style="color: #007700">(...);<br /><br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([</span><span style="color: #0000BB">$firstClassCallable</span><span style="color: #007700">, </span><span style="color: #DD0000">'__invoke'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// fonction interne (intégrée)<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(</span><span style="color: #DD0000">'print_r'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// fonction définie par l'utilisateur<br /></span><span style="color: #007700">function </span><span style="color: #0000BB">userDefinedFunction</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">, </span><span style="color: #0000BB">$flags</span><span style="color: #007700">) { return </span><span style="color: #0000BB">$string</span><span style="color: #007700">; };<br /><br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(</span><span style="color: #DD0000">'userDefinedFunction'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br />class </span><span style="color: #0000BB">MyClass </span><span style="color: #007700">{<br />    public static function </span><span style="color: #0000BB">staticHandle</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br /><br />    public static function </span><span style="color: #0000BB">handle</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br /><br />    public function </span><span style="color: #0000BB">__invoke</span><span style="color: #007700">(</span><span style="color: #0000BB">$string</span><span style="color: #007700">) {<br />        return </span><span style="color: #0000BB">$string</span><span style="color: #007700">;<br />    }<br />}<br /><br /></span><span style="color: #FF8000">// classe et méthode statique<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([</span><span style="color: #DD0000">'MyClass'</span><span style="color: #007700">,</span><span style="color: #DD0000">'staticHandle'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// objet et méthode non statique<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">([new </span><span style="color: #0000BB">MyClass</span><span style="color: #007700">,</span><span style="color: #DD0000">'handle'</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /><br /></span><span style="color: #FF8000">// objet invoquable<br /></span><span style="color: #0000BB">ob_start</span><span style="color: #007700">(new </span><span style="color: #0000BB">MyClass</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">ob_list_handlers</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">ob_end_flush</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>L&#039;exemple ci-dessus va afficher :</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">array(1) {
  [0]=&gt;
  string(22) &quot;default output handler&quot;
}
array(1) {
  [0]=&gt;
  string(22) &quot;default output handler&quot;
}
array(1) {
  [0]=&gt;
  string(7) &quot;print_r&quot;
}
array(1) {
  [0]=&gt;
  string(19) &quot;userDefinedFunction&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;Closure::__invoke&quot;
}
array(1) {
  [0]=&gt;
  string(21) &quot;MyClass::staticHandle&quot;
}
array(1) {
  [0]=&gt;
  string(15) &quot;MyClass::handle&quot;
}
array(1) {
  [0]=&gt;
  string(17) &quot;MyClass::__invoke&quot;
}</pre>
</div>
    </div>
   </div>
  </p>
 </div>


 <div class="refsect1 seealso" id="refsect1-function.ob-list-handlers-seealso">
  <h3 class="title">Voir aussi</h3>
  <p class="para">
   <ul class="simplelist">
    <li><span class="function"><a href="function.ob-end-clean.php" class="function" rel="rdfs-seeAlso">ob_end_clean()</a> - Effacez (nettoyez) le contenu du tampon de sortie actif et d&eacute;sactivez-le.</span></li>
    <li><span class="function"><a href="function.ob-end-flush.php" class="function" rel="rdfs-seeAlso">ob_end_flush()</a> - Vide (envoie) la valeur de retour du gestionnaire de sortie actif
   et d&eacute;sactive le tampon de sortie actif</span></li>
    <li><span class="function"><a href="function.ob-get-flush.php" class="function" rel="rdfs-seeAlso">ob_get_flush()</a> - Vide (envoie) la valeur de retour du gestionnaire de sortie actif,
   renvoie le contenu du tampon de sortie actif et le d&eacute;sactive.</span></li>
    <li><span class="function"><a href="function.ob-start.php" class="function" rel="rdfs-seeAlso">ob_start()</a> - Enclenche la temporisation de sortie</span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer($setup); ?>